## org.eclipse.ocl.cst
Interface CollectionTypeCS

All Superinterfaces:
  CSTNode, EObject, Notifier, OCLExpressionCS, TypeCS

All Known Implementing Classes:
  CollectionTypeCSImpl

    public interface CollectionTypeCS

extends TypeCS

A representation of the model object 'Collection Type CS'.

The following features are supported:

- `Collection Type Identifier`
- `Type CS`

See Also:
  `CSTPackage.getCollectionTypeCS()`

Method Summary
`CollectionTypeIdentifierEnum` `getCollectionTypeIdentifier()` Returns the value of the 'Collection Type Identifier' attribute.
`TypeCS` `getTypeCS()` Returns the value of the 'Type CS' containment reference
`void` `setCollectionTypeIdentifier(CollectionTypeIdentifierEnum value)` Sets the value of the '`Collection Type Identifier`' attribute
`void` `setTypeCS(TypeCS value)` Sets the value of the '`Type CS`' containment reference

Methods inherited from interface org.eclipse.ocl.cst.CSTNode
`getEndOffset, getStartOffset, setEndOffset, setStartOffset`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getCollectionTypeIdentifier

    CollectionTypeIdentifierEnum getCollectionTypeIdentifier()

  Returns the value of the 'Collection Type Identifier' attribute. The literals are from the enumeration `CollectionTypeIdentifierEnum`.

  If the meaning of the 'Collection Type Identifier' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Collection Type Identifier' attribute.
  See Also:
    `CollectionTypeIdentifierEnum`, `setCollectionTypeIdentifier(CollectionTypeIdentifierEnum)`, `CSTPackage.getCollectionTypeCS_CollectionTypeIdentifier()`

### setCollectionTypeIdentifier

    void setCollectionTypeIdentifier(CollectionTypeIdentifierEnum value)

  Sets the value of the '`Collection Type Identifier`' attribute.

  Parameters:
    `value` - the new value of the 'Collection Type Identifier' attribute.
  See Also:
    `CollectionTypeIdentifierEnum`, `getCollectionTypeIdentifier()`

### getTypeCS

    TypeCS getTypeCS()

  Returns the value of the 'Type CS' containment reference.

  If the meaning of the 'Type CS' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Type CS' containment reference.
  See Also:
    `setTypeCS(TypeCS)`, `CSTPackage.getCollectionTypeCS_TypeCS()`

### setTypeCS

    void setTypeCS(TypeCS value)

  Sets the value of the '`Type CS`' containment reference.

  Parameters:
    `value` - the new value of the 'Type CS' containment reference.
  See Also:
    `getTypeCS()`

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.